summaryrefslogtreecommitdiff
path: root/script
diff options
context:
space:
mode:
authorCarlos Martín Nieto <cmn@dwim.me>2015-06-12 12:17:03 +0200
committerCarlos Martín Nieto <cmn@dwim.me>2015-06-12 12:17:03 +0200
commit6042a050f97091615b5925698627b5c0e2aa56cf (patch)
tree14fa56f590fb87a1c6bd4447cfdfa712b376fc6c /script
parent2deb36081c0723fb5fb54e5ee67d14e09635904b (diff)
downloadlibgit2-6042a050f97091615b5925698627b5c0e2aa56cf.tar.gz
travis: fail if we fail the push tests
These tests were not being taken into consideration for the failure of the test. They've been failing for a while now, but we hadn't noticed as Travis was reporting the builds successful.
Diffstat (limited to 'script')
-rwxr-xr-xscript/cibuild.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/script/cibuild.sh b/script/cibuild.sh
index bdc352931..a11e7984f 100755
--- a/script/cibuild.sh
+++ b/script/cibuild.sh
@@ -53,8 +53,8 @@ export GITTEST_REMOTE_SSH_PASSPHRASE=""
if [ -e ./libgit2_clar ]; then
./libgit2_clar -sonline::push -sonline::clone::ssh_cert &&
- ./libgit2_clar -sonline::clone::ssh_with_paths
+ ./libgit2_clar -sonline::clone::ssh_with_paths || exit $?
if [ "$TRAVIS_OS_NAME" = "linux" ]; then
- ./libgit2_clar -sonline::clone::cred_callback
+ ./libgit2_clar -sonline::clone::cred_callback || exit $?
fi
fi